Quassel IRC - Bug #1191

U+200B "ZERO WIDTH SPACE" characters causing client crashes
10/14/2012 01:53 AM - rikai

Status: Closed Start date: 10/14/2012
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version:

Version: 0.8.0 0S: Any
Description

U+200B "ZERO WIDTH SPACE" characters will cause a client crash on mouseover.
As a side effect, also breaks URL detection for any URLs including the characters.

This sample will cause client crash on mouseover: testtest
This one should break url detection AND cause client crash on mouseover: http:/fgoogle.com/—

History

#1 - 10/14/2012 12:13 PM - Anonymous

Can't reproduce the crash here. Could be a windows only Qt issue.

There's a seperate ticket for the url breakage (#1092), which in this case might even be desired (major browsers reject such urls for being misleading)

#2 - 04/17/2013 08:49 PM - Anonymous
- Status changed from New to Closed

- Version changed from 0.8-pre to 0.8.0

Qt issue, reportedly solved in 4.8.4 (used for the 0.9.0 Windows builds).
